=== debian/changelog ===
sgt-puzzles (20170606.272beef-1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Avoid FTBFS by building with -O2 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Aug 2017 19:33:32 +0000

sgt-puzzles (20170606.272beef-1) unstable; urgency=medium

  * New upstream version:
    - Make cellsize a char. (Closes: #871134)
  * Change upstream source and homepage URLs to use HTTP-S
  * Stop excluding puzzles.chm file from orig tarball, as it is now generated
    with only free tools
  * Update Standards-Version to 4.0.1:
    - Remove menu file
    - Change Priority to optional

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Aug 2017 02:59:24 +0100
