=== debian/changelog ===
sgt-puzzles (20191231.79a5378-6) unstable; urgency=medium

  * Map: add missing sresize in new_game_desc(). (fixes FTFS on some
    architectures)

 -- Ben Hutchings <benh@debian.org>  Wed, 16 Feb 2022 01:08:13 +0100

sgt-puzzles (20191231.79a5378-5) unstable; urgency=medium

  * Fix dark theme detection

 -- Ben Hutchings <benh@debian.org>  Mon, 14 Feb 2022 02:45:08 +0100

sgt-puzzles (20191231.79a5378-4) unstable; urgency=medium

  * debian/copyright: Use the standard short name "Expat" for the license
  * Palisade: fix clue type (Closes: #973264)
  * Do not override window background colour when using a dark theme
    (Closes: #944237)
  * lintian: Override false positive missing-depends-on-sensible-utils
  * d/control: Use my debian.org email in Maintainer field
  * lintian: Override false positive superfluous-file-pattern
  * Use debhelper compatibility level 13
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Fix cross-builds:
    - d/control: Build-Depend on native liblocale-po-perl, both native
      and host libgtk-3-dev.  Drop perl as we need perl:native which is
      build-essential.
    - d/rules: Pass $(CC), $(LD), $(PKG_CONFIG), --build, and --host to
      configure as appropriate.

 -- Ben Hutchings <benh@debian.org>  Mon, 14 Feb 2022 01:56:24 +0100

sgt-puzzles (20191231.79a5378-3) unstable; urgency=medium

  * Update German translation, thanks to Helge Kreutzmann

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2020 14:30:23 +0000

sgt-puzzles (20191231.79a5378-2) unstable; urgency=medium

  * pattern: Fix build failure with fortify and gcc 9 on some architectures

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 31 Jan 2020 14:21:20 +0000

sgt-puzzles (20191231.79a5378-1) unstable; urgency=medium

  * New upstream version (Closes: #925078):
    - Fix build failure reported in gcc 9. (Closes: #925824)
  * debian/control: Point Vcs URLs to Salsa
  * debin/patches: Use git-debrebase to manage changes to upstream source
  * debian/rules, debian/README.source: Use upstream git instead of tarballs
  * debian/rules, debian/control: Build icon files
  * debian/rules: Drop obsolete files from dh_clean arguments
  * debian/rules: Clean up all generated files in dh_auto_clean rule
  * Build additional documentation in top-level directory, not doc/
  * Move PO files from debian/po to po
  * debian/rules: Drop redundant rm from override_dh_auto_configure rule
  * Update Standards-Version to 4.5.0:
    - mkfiles.pl: Change first line to #!/usr/bin/perl
    - debian/control: Set Rules-Requires-Root to no
  * debian/control: Update Recommends to match the help browser search path
  * debian/copyright: Remove obsolete statement about puzzles.chm
  * debian/copyright: Convert to machine-readable format
  * debian/copyright: Update dates, upstream authors, and source URL

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 31 Jan 2020 03:31:17 +0000
