=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: sgt-puzzles
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Ben Hutchings <benh@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper (>= 9), halibut, libgtk-3-dev, liblocale-po-perl, perl, po4a, autoconf, automake
-Standards-Version: 4.0.1
+Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, autoconf, automake, imagemagick
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/
-Vcs-Git: https://git.decadent.org.uk/git/sgt-puzzles.git/
-Vcs-Browser: https://git.decadent.org.uk/gitweb?p=sgt-puzzles.git
+Vcs-Git: https://salsa.debian.org/benh/sgt-puzzles.git
+Vcs-Browser: https://salsa.debian.org/benh/sgt-puzzles
 
 Package: sgt-puzzles
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: yelp | khelpcenter | www-browser
+Recommends: xdg-utils, www-browser
 Description: Simon Tatham's Portable Puzzle Collection - 1-player puzzle games
  Simon Tatham's Portable Puzzle Collection contains a number of popular
  puzzle games for one player.  It currently consists of these games:
