## sgt-puzzles 20220613.387d323

=== debian/changelog ===
sgt-puzzles (20220613.387d323-1) unstable; urgency=medium

  * New upstream version:
    - Stop automatically adding warning flags and -Werror. (Closes: #1013035)
  * d/rules: Prepare for update to upstream version not using autoconf
  * d/control, d/rules: Update for upstream use of CMake
  * Use upstream generated desktop files instead of our own versions
  * lintian: Update overrides for lintian 2.115
  * d/salsa-ci.yml: Remove temporary lintian suppressions

 -- Ben Hutchings <benh@debian.org>  Sun, 31 Jul 2022 02:58:28 +0200
