=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Ben Hutchings <benh@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, autoconf, automake, imagemagick
+Build-Depends: debhelper-compat (= 13), halibut, libgtk-3-dev, libgtk-3-dev:native, liblocale-po-perl:native, po4a, cmake, imagemagick
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://www.chiark.greenend.org.uk/~sgtatham/puzzles/
