=== debian/changelog ===
sgt-puzzles (20220801.89391ba-1) unstable; urgency=medium

  * New upstream version
  * d/control: Update list of games in description
  * d/rules: Split update-upstream target in two to allow for failed rebase
  * Update German translation, thanks to Helge Kreutzmann
  * Re-fix the GTK dark theme check.
  * mkmanpages.pl: Use translated short description in the NAME section

 -- Ben Hutchings <benh@debian.org>  Mon, 01 Aug 2022 22:17:22 +0200
