=== debian/rules ===
--- 
+++ 
@@ -79,17 +79,25 @@
 	test "$${version#*.}" != "$$version" &&				\
 	echo "$$version" > $@
 
-update-upstream: ../puzzles.tar.gz ../puzzles.tar.version
+# Updating to a new upstream includes a rebase which will often
+# require manual fixup.  Split the commands into two targets so it's
+# possible to continue after that point.
+update-upstream:
+	debian/rules update-upstream-1
+	debian/rules update-upstream-2
+update-upstream-1: ../puzzles.tar.gz ../puzzles.tar.version
 	version="$$(cat ../puzzles.tar.version)" &&			\
 	upstream_commit="$${version#*.}" &&				\
 	git tag -m "Upstream version $$version" "upstream/$$version"	\
 		"$$upstream_commit" &&					\
 	git deborig --version "$$version" &&				\
-	git debrebase new-upstream "$$version" &&			\
-	tar -xzf $< --strip-components=1 --wildcards			\
+	git debrebase new-upstream "$$version"
+update-upstream-2:
+	tar -xzf ../puzzles.tar.gz --strip-components=1 --wildcards	\
 		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
 	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
 			       $$(git debrebase breakwater)..)" &&	\
 	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
 		$(VERSION_SUB_FILES) &&					\
 	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }
+.PHONY: update-upstream%
