=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 
 # Files that have version strings substituted in the tarball but never in git
 VERSION_SUB_FILES := devel.but osx/Info.plist puzzles.but version.h
-
-# Commit message for updating them
-VERSION_SUB_MSG := "Apply version string substitutions from the tarball"
 
 %:
 	dh $@ --without autoreconf
@@ -86,18 +83,17 @@
 	debian/rules update-upstream-1
 	debian/rules update-upstream-2
 update-upstream-1: ../puzzles.tar.gz ../puzzles.tar.version
+	test .pc && quilt pop -a
 	version="$$(cat ../puzzles.tar.version)" &&			\
 	upstream_commit="$${version#*.}" &&				\
 	git tag -m "Upstream version $$version" "upstream/$$version"	\
 		"$$upstream_commit" &&					\
 	git deborig --version "$$version" &&				\
-	git debrebase new-upstream "$$version"
+	git merge "$$version"
 update-upstream-2:
+	QUILT_PATCHES=debian/patches quilt push 0001-Apply-version-string-substitutions-from-the-tarball.patch
 	tar -xzf ../puzzles.tar.gz --strip-components=1 --wildcards	\
-		$(addprefix '*/',$(VERSION_SUB_FILES)) &&		\
-	version_sub_commit="$$(git rev-list --grep=$(VERSION_SUB_MSG) -F \
-			       $$(git debrebase breakwater)..)" &&	\
-	git commit -m $${version_sub_commit:+"fixup! "}$(VERSION_SUB_MSG) \
-		$(VERSION_SUB_FILES) &&					\
-	{ test -z "$$version_sub_commit" || git debrebase -i --autosquash; }
-.PHONY: update-upstream%
+		$(addprefix '*/',$(VERSION_SUB_FILES))
+	quilt refresh
+	quilt push -a
+.PHONY: update-upstream
